POST V1/AlertsAndMessages.{ext}/AddChats

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.AlertsAndMessages.Entities.Chat
NameDescriptionTypeAdditional information
ChatId

No description available

integer

None.

Subject

No description available

string

None.

Body

No description available

string

None.

CreatedUserId

No description available

integer

None.

CreatedUser

No description available

string

None.

CreatedDate

No description available

string

None.

UpdatedBy

No description available

string

None.

UpdatedDate

No description available

string

None.

ClientId

No description available

integer

None.

ClientCode

No description available

string

None.

ClientName

No description available

string

None.

Status

No description available

string

None.

Greetings

No description available

string

None.

Signature

No description available

string

None.

ParentMessageId

No description available

integer

None.

ChatType

No description available

string

None.

ChatTagType

No description available

string

None.

ChatTagValue

No description available

string

None.

RecieveUserId

No description available

integer

None.

ChatState

No description available

string

None.

ReadDate

No description available

string

None.

ArchiveDate

No description available

string

None.

InbuildTags

No description available

Collection of EMS.AlertsAndMessages.Entities.Tags

None.

UserTags

No description available

string

None.

LoginId

No description available

string

None.

Name

No description available

string

None.

TaggedUserIds

No description available

string

None.

ProfileImageType

No description available

string

None.

NewCount

No description available

integer

None.

ColorCode

No description available

string

None.

FileName

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "chatId": 1,
  "subject": "sample string 2",
  "body": "sample string 3",
  "createdUserId": 4,
  "createdUser": "sample string 5",
  "createdDate": "sample string 6",
  "updatedBy": "sample string 7",
  "updatedDate": "sample string 8",
  "clientId": 9,
  "clientCode": "sample string 10",
  "clientName": "sample string 11",
  "status": "sample string 12",
  "greetings": "sample string 13",
  "signature": "sample string 14",
  "parentMessageId": 15,
  "chatType": "sample string 16",
  "chatTagType": "sample string 17",
  "chatTagValue": "sample string 18",
  "recieveUserId": 19,
  "chatState": "sample string 20",
  "readDate": "sample string 21",
  "archiveDate": "sample string 22",
  "inbuildTags": [
    {
      "tagId": 1,
      "tagType": "sample string 2",
      "tagValue": "sample string 3"
    },
    {
      "tagId": 1,
      "tagType": "sample string 2",
      "tagValue": "sample string 3"
    }
  ],
  "userTags": "sample string 23",
  "loginId": "sample string 24",
  "name": "sample string 25",
  "taggedUserIds": "sample string 26",
  "profileImageType": "sample string 27",
  "newCount": 28,
  "colorCode": "sample string 29",
  "fileName": "sample string 30"
}

application/xml, text/xml

Sample:
<Chat xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.AlertsAndMessages.Entities">
  <ArchiveDate>sample string 22</ArchiveDate>
  <Body>sample string 3</Body>
  <ChatId>1</ChatId>
  <ChatState>sample string 20</ChatState>
  <ChatTagType>sample string 17</ChatTagType>
  <ChatTagValue>sample string 18</ChatTagValue>
  <ChatType>sample string 16</ChatType>
  <ClientCode>sample string 10</ClientCode>
  <ClientId>9</ClientId>
  <ClientName>sample string 11</ClientName>
  <ColorCode>sample string 29</ColorCode>
  <CreatedDate>sample string 6</CreatedDate>
  <CreatedUser>sample string 5</CreatedUser>
  <CreatedUserId>4</CreatedUserId>
  <FileName>sample string 30</FileName>
  <Greetings>sample string 13</Greetings>
  <InbuildTags>
    <Tags>
      <TagId>1</TagId>
      <TagType>sample string 2</TagType>
      <TagValue>sample string 3</TagValue>
    </Tags>
    <Tags>
      <TagId>1</TagId>
      <TagType>sample string 2</TagType>
      <TagValue>sample string 3</TagValue>
    </Tags>
  </InbuildTags>
  <LoginId>sample string 24</LoginId>
  <Name>sample string 25</Name>
  <NewCount>28</NewCount>
  <ParentMessageId>15</ParentMessageId>
  <ProfileImageType>sample string 27</ProfileImageType>
  <ReadDate>sample string 21</ReadDate>
  <RecieveUserId>19</RecieveUserId>
  <Signature>sample string 14</Signature>
  <Status>sample string 12</Status>
  <Subject>sample string 2</Subject>
  <TaggedUserIds>sample string 26</TaggedUserIds>
  <UpdatedBy>sample string 7</UpdatedBy>
  <UpdatedDate>sample string 8</UpdatedDate>
  <UserTags>sample string 23</UserTags>
</Chat>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.